Handle License Service call to onboard a tenant
Permission Level: Read-Write
POST /workertenant/v1/tenants/onboard-application
Operation id: WorkerTenantService_OnboardApplication
Tags: WorkerTenantService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
badgeId | string | No | |
salesforceId | string | No | |
primaryContactEmail | string | No | |
appDomain | string | No | |
region | string | No | |
tenantFriendlyName | string | No | |
skipAdminUser | boolean | No | |
requireMstrSetup | boolean | No |
{
"type": "object",
"properties": {
"badgeId": {
"type": "string"
},
"salesforceId": {
"type": "string"
},
"primaryContactEmail": {
"type": "string"
},
"appDomain": {
"type": "string"
},
"region": {
"type": "string"
},
"tenantFriendlyName": {
"type": "string"
},
"skipAdminUser": {
"type": "boolean"
},
"requireMstrSetup": {
"type": "boolean"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
adminUser | object | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"adminUser": {
"type": "object",
"properties": {
"username": {
"type": "string"
},
"password": {
"type": "string"
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}